ALTER TABLE Terceros ADD Asociado BIT DEFAULT(0) NOT NULL
GO
ALTER TABLE ConcDiversos ADD TipoConcGat INT DEFAULT(0) NOT NULL
GO
ALTER TABLE Trn_CompCajaDet ADD ConcAsociado INT DEFAULT(0) NOT NULL
GO
CREATE TABLE TarifasAportes ( 
Id INT IDENTITY ( 1,1 ) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdTarifVinc VARCHAR(4) NOT NULL,
IdTarifApo VARCHAR(4) NOT NULL,
TarifTraslado DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
UndTarifTdo VARCHAR(10) DEFAULT ('%') NOT NULL,
BaseTarifVinc VARCHAR(10) DEFAULT ('A') NOT NULL,
BaseLiqAportes VARCHAR(10) DEFAULT ('A') NOT NULL,
FrecLiqAportes INT DEFAULT ((0)) NOT NULL,
CodGrupo VARCHAR(4),
NitAsociado VARCHAR(16),
Id_Vehiculo VARCHAR(10),
UndVehiculo CHAR(1),
TipoVigencia CHAR(1) NOT NULL,
FechaInicial SMALLDATETIME NOT NULL,
FechaFinal SMALLDATETIME NOT NULL,
Anulado BIT DEFAULT ((0)) NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
FechaAct SMALLDATETIME,
Observacion VARCHAR(500)
 CONSTRAINT PK_TarifasAportes PRIMARY KEY CLUSTERED (Id),
 CONSTRAINT CK_TarifasAportesBaseLiqAportes CHECK ((len([BaseLiqAportes])>(0))),
 CONSTRAINT CK_TarifasAportesBaseTarifVinc CHECK ((len([BaseTarifVinc])>(0))),
 CONSTRAINT CK_TarifasAportesIdTarifApo CHECK ((len([IdTarifApo])>(0))),
 CONSTRAINT CK_TarifasAportesIdTarifVinc CHECK ((len([IdTarifVinc])>(0))),
 CONSTRAINT CK_TarifasAportesIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_TarifasAportesTipoVigencia CHECK ((len([TipoVigencia])>(0))),
 CONSTRAINT CK_TarifasAportesUndTarifTdo CHECK ((len([UndTarifTdo])>(0))))
GO
CREATE TABLE Trn_GatAvaluos ( 
Id BIGINT IDENTITY ( 1,1 ) NOT NULL,
IdCia CHAR(2) NOT NULL,
FechaAvaluo SMALLDATETIME NOT NULL,
Id_Vehiculo VARCHAR(10) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
VrAvaluoAnt MONEY DEFAULT ((0)) NOT NULL,
VrAvaluo MONEY DEFAULT ((0)) NOT NULL,
PorcAvaluo DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
NumProceso INT DEFAULT ((0)) NOT NULL,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL
 CONSTRAINT PK_Trn_GatAvaluos PRIMARY KEY NONCLUSTERED (Id),
 CONSTRAINT CK_Trn_GatAvaluosId_Vehiculo CHECK ((len([Id_Vehiculo])>(0))),
 CONSTRAINT CK_Trn_GatAvaluosIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_Trn_GatAvaluosIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatAvaluosIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatAvaluosUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO
CREATE TABLE Trn_GatAportes ( 
Id BIGINT IDENTITY ( 1,1 ) NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
NumRegistro INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
FecEmision SMALLDATETIME NOT NULL,
FecVence SMALLDATETIME NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
nRemolque VARCHAR(10),
Concepto VARCHAR(20) DEFAULT ('APORTE') NOT NULL,
Importe MONEY DEFAULT ((0)) NOT NULL,
VrAvaluo MONEY DEFAULT ((0)) NOT NULL,
VrComercial MONEY DEFAULT ((0)) NOT NULL,
VrAsegurado MONEY DEFAULT ((0)) NOT NULL,
TipoBaseLiq CHAR(1) DEFAULT ('A') NOT NULL,
Cantidad DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TarifaApo DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
CodTarifApo VARCHAR(4),
CantDiasAnt DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
VrDiasAnt MONEY DEFAULT ((0)) NOT NULL,
VrDevolucion MONEY DEFAULT ((0)) NOT NULL,
Descripcion VARCHAR(500),
Referencia VARCHAR(50),
TipDocRef VARCHAR(3),
NumDocRef INT DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3),
Comprobante INT DEFAULT ((0)) NOT NULL,
TipoAfiVeh VARCHAR(10),
FecLiqApo SMALLDATETIME,
FechaCrea SMALLDATETIME NOT NULL
 CONSTRAINT PK_Trn_GatAportes PRIMARY KEY NONCLUSTERED (Id),
 CONSTRAINT CK_Trn_GatAportesConcepto CHECK ((len([Concepto])>(0))),
 CONSTRAINT CK_Trn_GatAportesIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_Trn_GatAportesIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatAportesIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_GatAportesTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatAportesTipoBaseLiq CHECK (([TipoBaseLiq]='S' OR [TipoBaseLiq]='C' OR [TipoBaseLiq]='A')),
 CONSTRAINT CK_Trn_GatAportesUndVehiculo CHECK (([UndVehiculo]='R' OR [UndVehiculo]='V')))
GO
CREATE TABLE Trn_GatSaldos ( 
TipDoc VARCHAR(3) DEFAULT ('SIA') NOT NULL,
NumRegistro INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
nRemolque VARCHAR(10),
VrAportes MONEY DEFAULT ((0)) NOT NULL,
VrVinculacion MONEY DEFAULT ((0)) NOT NULL,
VrAvaluo MONEY DEFAULT ((0)) NOT NULL,
VrComercial MONEY DEFAULT ((0)) NOT NULL,
VrAsegurado MONEY DEFAULT ((0)) NOT NULL,
TipoBaseLiq CHAR(1) DEFAULT ('A') NOT NULL,
Cantidad DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
FecVincAsoc SMALLDATETIME NOT NULL,
FecLiquidaApo SMALLDATETIME,
TipoAfiVeh VARCHAR(10),
Anulado BIT DEFAULT ((0)) NOT NULL,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL
 CONSTRAINT PK_Trn_GatSaldos PRIMARY KEY CLUSTERED (TipDoc,NumRegistro,IdCia),
 CONSTRAINT CK_Trn_GatSaldosIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_Trn_GatSaldosIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatSaldosIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatSaldosIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_GatSaldosTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatSaldosTipoBaseLiq CHECK ((len([TipoBaseLiq])>(0))),
 CONSTRAINT CK_Trn_GatSaldosUndVehiculo CHECK (([UndVehiculo]='R' OR [UndVehiculo]='V')))
GO
CREATE TABLE Trn_GatIngresos ( 
TipDoc VARCHAR(3) NOT NULL,
Recibo INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
TipoConc VARCHAR(20) DEFAULT ('ADICIONAL') NOT NULL,
Descripcion VARCHAR(500) NOT NULL,
VrIngreso MONEY DEFAULT ((0)) NOT NULL,
VrDevolucion MONEY DEFAULT ((0)) NOT NULL,
VrAbonos MONEY DEFAULT ((0)) NOT NULL,
TipDocRef VARCHAR(3),
NumDocRef INT DEFAULT ((0)) NOT NULL,
CiaDocRef CHAR(2),
CodCuenta VARCHAR(16),
ItemDet INT DEFAULT ((0)) NOT NULL,
EstadoReg INT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_Trn_GatIngresos PRIMARY KEY CLUSTERED (TipDoc,Recibo,IdCia,Item),
 CONSTRAINT CK_Trn_GatIngresosDescripcion CHECK ((len([Descripcion])>(0))),
 CONSTRAINT CK_Trn_GatIngresosIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_Trn_GatIngresosIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatIngresosIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_GatIngresosIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_GatIngresosTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatIngresosTipoConc CHECK ((len([TipoConc])>(0))),
 CONSTRAINT CK_Trn_GatIngresosUndVehiculo CHECK (([UndVehiculo]='R' OR [UndVehiculo]='V')))
GO
CREATE TABLE Trn_GatVincula ( 
TipDoc VARCHAR(3) DEFAULT ('VAT') NOT NULL,
NumRegistro INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
FechaIngreso SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
nRemolque VARCHAR(10),
TarifaVinc DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
VrVinculacion MONEY DEFAULT ((0)) NOT NULL,
VrIngresos MONEY DEFAULT ((0)) NOT NULL,
VrTraslados MONEY DEFAULT ((0)) NOT NULL,
VrAvaluo MONEY DEFAULT ((0)) NOT NULL,
VrComercial MONEY DEFAULT ((0)) NOT NULL,
VrAsegurado MONEY DEFAULT ((0)) NOT NULL,
TipoBaseLiq CHAR(1) DEFAULT ('A') NOT NULL,
TipoAfiVeh VARCHAR(10),
Referencia VARCHAR(50),
CdTarifVinc VARCHAR(4),
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
FecUltLiqApo SMALLDATETIME,
Anulado BIT DEFAULT ((0)) NOT NULL,
NumDev INT DEFAULT ((0)) NOT NULL,
FechaDev SMALLDATETIME,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
ModuloCrea VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_GatVincula PRIMARY KEY CLUSTERED (TipDoc,NumRegistro,IdCia),
 CONSTRAINT CK_Trn_GatVinculaIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_Trn_GatVinculaIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatVinculaIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_GatVinculaIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_GatVinculaIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_GatVinculaIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatVinculaIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_GatVinculaModuloCrea CHECK ((len([ModuloCrea])>(0))),
 CONSTRAINT CK_Trn_GatVinculaTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_GatVinculaTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatVinculaTipoBaseLiq CHECK ((len([TipoBaseLiq])>(0))),
 CONSTRAINT CK_Trn_GatVinculaUndVehiculo CHECK ((len([UndVehiculo])>(0))))
CREATE TABLE Trn_GatVinculaRec ( 
Id BIGINT IDENTITY ( 1,1 ) NOT NULL,
TipDoc VARCHAR(3) DEFAULT ('VAT') NOT NULL,
NumRegistro INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
TipRec VARCHAR(3) NOT NULL,
Recibo INT DEFAULT ((0)) NOT NULL,
IdCiaRec CHAR(2) NOT NULL,
ItemRec INT DEFAULT ((0)) NOT NULL,
VrAbono MONEY DEFAULT ((0)) NOT NULL,
Descripcion VARCHAR(500)
 CONSTRAINT PK_Trn_GatVinculaRec PRIMARY KEY NONCLUSTERED (Id),
 CONSTRAINT CK_Trn_GatVinculaRecIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatVinculaRecIdCiaRec CHECK ((len([IdCiaRec])>(0))),
 CONSTRAINT CK_Trn_GatVinculaRecTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatVinculaRecTipRec CHECK ((len([TipRec])>(0))))
GO
CREATE TABLE Trn_GatDevVinc ( 
TipDev VARCHAR(3) DEFAULT ('DVT') NOT NULL,
Devolucion INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
NumDocVinc INT DEFAULT ((0)) NOT NULL,
IdCiaDoc CHAR(2) NOT NULL,
FecDoc SMALLDATETIME NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
nRemolque VARCHAR(10),
VrIngresos MONEY DEFAULT ((0)) NOT NULL,
VrTraslados MONEY DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
ModdDev VARCHAR(10) NOT NULL,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
ModuloCrea VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_GatDevVinc PRIMARY KEY CLUSTERED (TipDev,Devolucion,IdCia),
 CONSTRAINT CK_Trn_GatDevVincIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_Trn_GatDevVincIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatDevVincIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_GatDevVincIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_GatDevVincIdCiaDoc CHECK ((len([IdCiaDoc])>(0))),
 CONSTRAINT CK_Trn_GatDevVincIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_GatDevVincIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatDevVincIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_GatDevVincModdDev CHECK ((len([ModdDev])>(0))),
 CONSTRAINT CK_Trn_GatDevVincModuloCrea CHECK ((len([ModuloCrea])>(0))),
 CONSTRAINT CK_Trn_GatDevVincTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_GatDevVincTipDev CHECK ((len([TipDev])>(0))),
 CONSTRAINT CK_Trn_GatDevVincTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatDevVincUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO
CREATE TABLE Trn_GatTraslados ( 
TipDoc VARCHAR(3) DEFAULT ('TAA') NOT NULL,
NumTraslado INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
Modalidad VARCHAR(20) DEFAULT ('APORTE') NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
nRemolque VARCHAR(10),
IdAsociadoDtn VARCHAR(16) NOT NULL,
UndVehicDtn CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculoDtn VARCHAR(10) NOT NULL,
VrTraslado MONEY DEFAULT ((0)) NOT NULL,
VrAportes MONEY DEFAULT ((0)) NOT NULL,
VrVinculacion MONEY DEFAULT ((0)) NOT NULL,
VrSaldoVinc MONEY DEFAULT ((0)) NOT NULL,
VrGarantia MONEY DEFAULT ((0)) NOT NULL,
VrSaldoApo MONEY DEFAULT ((0)) NOT NULL,
VrTotalApo MONEY DEFAULT ((0)) NOT NULL,
VrAvaluo MONEY DEFAULT ((0)) NOT NULL,
TipoBaseLiq CHAR(1) DEFAULT ('A') NOT NULL,
TipoAfiVeh VARCHAR(10),
Referencia VARCHAR(50),
FechaCorte SMALLDATETIME NOT NULL,
VrAbonos MONEY DEFAULT ((0)) NOT NULL,
TipDocRef VARCHAR(3),
NumDocRef INT DEFAULT ((0)) NOT NULL,
CiaDocRef CHAR(2),
TarifaGar DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
UndTarifGar CHAR(1) DEFAULT ('$'),
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
Anulado BIT DEFAULT ((0)) NOT NULL,
NumDev INT DEFAULT ((0)) NOT NULL,
FechaDev SMALLDATETIME,
Observacion VARCHAR(500),
ComentarioGar VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
ModuloCrea VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_GatTraslados PRIMARY KEY CLUSTERED (TipDoc,NumTraslado,IdCia),
 CONSTRAINT CK_Trn_GatTrasladosIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_Trn_GatTrasladosIdAsociadoDtn CHECK ((len([IdAsociadoDtn])>(0))),
 CONSTRAINT CK_Trn_GatTrasladosIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatTrasladosIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_GatTrasladosIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_GatTrasladosIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_GatTrasladosIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatTrasladosIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_GatTrasladosIdVehiculoDtn CHECK ((len([IdVehiculoDtn])>(0))),
 CONSTRAINT CK_Trn_GatTrasladosModalidad CHECK ((len([Modalidad])>(0))),
 CONSTRAINT CK_Trn_GatTrasladosModuloCrea CHECK ((len([ModuloCrea])>(0))),
 CONSTRAINT CK_Trn_GatTrasladosTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_GatTrasladosTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatTrasladosTipoBaseLiq CHECK ((len([TipoBaseLiq])>(0))),
 CONSTRAINT CK_Trn_GatTrasladosUndVehicDtn CHECK ((len([UndVehicDtn])>(0))),
 CONSTRAINT CK_Trn_GatTrasladosUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO
CREATE TABLE Trn_GatDevTraslado ( 
TipDev VARCHAR(3) DEFAULT ('DTD') NOT NULL,
Devolucion INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
Modalidad VARCHAR(20) DEFAULT ('APORTE') NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
NumTraslado INT DEFAULT ((0)) NOT NULL,
IdCiaDoc CHAR(2) NOT NULL,
FecDoc SMALLDATETIME NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
nRemolque VARCHAR(10),
IdAsociadoDtn VARCHAR(16) NOT NULL,
UndVehicDtn CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculoDtn VARCHAR(10) NOT NULL,
VrDevolucion MONEY DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
ModdDev VARCHAR(10) NOT NULL,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
ModuloCrea VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_GatDevTraslado PRIMARY KEY CLUSTERED (TipDev,Devolucion,IdCia),
 CONSTRAINT CK_Trn_GatDevTrasladoIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoIdAsociadoDtn CHECK ((len([IdAsociadoDtn])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoIdCiaDoc CHECK ((len([IdCiaDoc])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoIdVehiculoDtn CHECK ((len([IdVehiculoDtn])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoModalidad CHECK ((len([Modalidad])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoModdDev CHECK ((len([ModdDev])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoModuloCrea CHECK ((len([ModuloCrea])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoTipDev CHECK ((len([TipDev])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoUndVehicDtn CHECK ((len([UndVehicDtn])>(0))),
 CONSTRAINT CK_Trn_GatDevTrasladoUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO
CREATE TABLE Trn_GatAdicionales ( 
TipDoc VARCHAR(3) DEFAULT ('APA') NOT NULL,
NumRegistro INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
nRemolque VARCHAR(10),
VrAporte MONEY DEFAULT ((0)) NOT NULL,
VrSaldo MONEY DEFAULT ((0)) NOT NULL,
VrAvaluo MONEY DEFAULT ((0)) NOT NULL,
TipoBaseLiq CHAR(1) DEFAULT ('A') NOT NULL,
TipoAfiVeh VARCHAR(10),
Referencia VARCHAR(50),
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
Anulado BIT DEFAULT ((0)) NOT NULL,
NumDev INT DEFAULT ((0)) NOT NULL,
FechaDev SMALLDATETIME,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
ModuloCrea VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_GatAdicionales PRIMARY KEY CLUSTERED (TipDoc,NumRegistro,IdCia),
 CONSTRAINT CK_Trn_GatAdicionalesIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_Trn_GatAdicionalesIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatAdicionalesIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_GatAdicionalesIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_GatAdicionalesIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_GatAdicionalesIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatAdicionalesIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_GatAdicionalesModuloCrea CHECK ((len([ModuloCrea])>(0))),
 CONSTRAINT CK_Trn_GatAdicionalesTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_GatAdicionalesTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatAdicionalesTipoBaseLiq CHECK ((len([TipoBaseLiq])>(0))),
 CONSTRAINT CK_Trn_GatAdicionalesUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO
CREATE TABLE Trn_GatAdicionalRec ( 
Id BIGINT IDENTITY ( 1,1 ) NOT NULL,
TipDoc VARCHAR(3) DEFAULT ('APA') NOT NULL,
NumRegistro INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
TipRec VARCHAR(3) NOT NULL,
Recibo INT DEFAULT ((0)) NOT NULL,
IdCiaRec CHAR(2) NOT NULL,
ItemRec INT DEFAULT ((0)) NOT NULL,
VrAbono MONEY DEFAULT ((0)) NOT NULL,
Descripcion VARCHAR(500)
 CONSTRAINT PK_Trn_GatAdicionalRec PRIMARY KEY NONCLUSTERED (Id),
 CONSTRAINT CK_Trn_GatAdicionalRecIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatAdicionalRecIdCiaRec CHECK ((len([IdCiaRec])>(0))),
 CONSTRAINT CK_Trn_GatAdicionalRecTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatAdicionalRecTipRec CHECK ((len([TipRec])>(0))))
GO
CREATE TABLE Trn_GatDevAdicional ( 
TipDev VARCHAR(3) DEFAULT ('DAA') NOT NULL,
Devolucion INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
NumRegistro INT DEFAULT ((0)) NOT NULL,
IdCiaDoc CHAR(2) NOT NULL,
FecDoc SMALLDATETIME NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
nRemolque VARCHAR(10),
VrDevolucion MONEY DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
ModdDev VARCHAR(10) NOT NULL,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
ModuloCrea VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_GatDevAdicional PRIMARY KEY CLUSTERED (TipDev,Devolucion,IdCia),
 CONSTRAINT CK_Trn_GatDevAdicionalIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_Trn_GatDevAdicionalIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatDevAdicionalIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_GatDevAdicionalIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_GatDevAdicionalIdCiaDoc CHECK ((len([IdCiaDoc])>(0))),
 CONSTRAINT CK_Trn_GatDevAdicionalIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_GatDevAdicionalIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatDevAdicionalIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_GatDevAdicionalModdDev CHECK ((len([ModdDev])>(0))),
 CONSTRAINT CK_Trn_GatDevAdicionalModuloCrea CHECK ((len([ModuloCrea])>(0))),
 CONSTRAINT CK_Trn_GatDevAdicionalTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_GatDevAdicionalTipDev CHECK ((len([TipDev])>(0))),
 CONSTRAINT CK_Trn_GatDevAdicionalTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatDevAdicionalUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO
CREATE TABLE Trn_GatLiquida ( 
TipDoc VARCHAR(3) DEFAULT ('LAA') NOT NULL,
NumLiquida INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
FechaLiquida SMALLDATETIME NOT NULL,
FechaVence SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
Modalidad VARCHAR(20) DEFAULT ('APORTE') NOT NULL,
Periodos INT DEFAULT ((0)) NOT NULL,
TarifaLiq DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
VrAportes MONEY DEFAULT ((0)) NOT NULL,
Referencia VARCHAR(50),
VrBaseLiq MONEY DEFAULT ((0)) NOT NULL,
CdTarifLiq VARCHAR(4),
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
Anulado BIT DEFAULT ((0)) NOT NULL,
NumDev INT DEFAULT ((0)) NOT NULL,
FechaDev SMALLDATETIME,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
ModuloCrea VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_GatLiquida PRIMARY KEY CLUSTERED (TipDoc,NumLiquida,IdCia),
 CONSTRAINT CK_Trn_GatLiquidaIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatLiquidaIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_GatLiquidaIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_GatLiquidaIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_GatLiquidaIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatLiquidaModalidad CHECK ((len([Modalidad])>(0))),
 CONSTRAINT CK_Trn_GatLiquidaModuloCrea CHECK ((len([ModuloCrea])>(0))),
 CONSTRAINT CK_Trn_GatLiquidaTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_GatLiquidaTipDoc CHECK ((len([TipDoc])>(0))))
GO
CREATE TABLE Trn_GatDevLiquida ( 
TipDev VARCHAR(3) DEFAULT ('DLA') NOT NULL,
Devolucion INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
NumLiquida INT DEFAULT ((0)) NOT NULL,
IdCiaDoc CHAR(2) NOT NULL,
FecDoc SMALLDATETIME NOT NULL,
Modalidad VARCHAR(20) DEFAULT ('APORTE') NOT NULL,
VrDevolucion MONEY DEFAULT ((0)) NOT NULL,
VrBaseLiq MONEY DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
ModdDev VARCHAR(10) NOT NULL,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
ModuloCrea VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_GatDevLiquida PRIMARY KEY CLUSTERED (TipDev,Devolucion,IdCia),
 CONSTRAINT CK_Trn_GatDevLiquidaIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatDevLiquidaIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_GatDevLiquidaIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_GatDevLiquidaIdCiaDoc CHECK ((len([IdCiaDoc])>(0))),
 CONSTRAINT CK_Trn_GatDevLiquidaIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_GatDevLiquidaIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatDevLiquidaModalidad CHECK ((len([Modalidad])>(0))),
 CONSTRAINT CK_Trn_GatDevLiquidaModdDev CHECK ((len([ModdDev])>(0))),
 CONSTRAINT CK_Trn_GatDevLiquidaModuloCrea CHECK ((len([ModuloCrea])>(0))),
 CONSTRAINT CK_Trn_GatDevLiquidaTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_GatDevLiquidaTipDev CHECK ((len([TipDev])>(0))),
 CONSTRAINT CK_Trn_GatDevLiquidaTipDoc CHECK ((len([TipDoc])>(0))))
GO
CREATE TABLE Trn_GatAjustes ( 
TipDoc VARCHAR(3) DEFAULT ('ALA') NOT NULL,
NumAjuste INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
FechaVence SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
Modalidad VARCHAR(20) DEFAULT ('AUMENTO') NOT NULL,
VrAjustes MONEY DEFAULT ((0)) NOT NULL,
Referencia VARCHAR(50),
TipDocRef VARCHAR(3) DEFAULT ('0') NOT NULL,
NumDocRef INT DEFAULT ((0)) NOT NULL,
CiaDocRef CHAR(2) DEFAULT ('00') NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
Anulado BIT DEFAULT ((0)) NOT NULL,
NumDev INT DEFAULT ((0)) NOT NULL,
FechaDev SMALLDATETIME,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
ModuloCrea VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_GatAjustes PRIMARY KEY CLUSTERED (TipDoc,NumAjuste,IdCia),
 CONSTRAINT CK_Trn_GatAjustesCiaDocRef CHECK ((len([CiaDocRef])>(0))),
 CONSTRAINT CK_Trn_GatAjustesIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatAjustesIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_GatAjustesIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_GatAjustesIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_GatAjustesIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatAjustesModalidad CHECK ((len([Modalidad])>(0))),
 CONSTRAINT CK_Trn_GatAjustesModuloCrea CHECK ((len([ModuloCrea])>(0))),
 CONSTRAINT CK_Trn_GatAjustesTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_GatAjustesTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatAjustesTipDocRef CHECK ((len([TipDocRef])>(0))))
GO
CREATE TABLE Trn_GatDevAjustes ( 
TipDev VARCHAR(3) DEFAULT ('DAL') NOT NULL,
Devolucion INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
NumAjuste INT DEFAULT ((0)) NOT NULL,
IdCiaDoc CHAR(2) NOT NULL,
FecDoc SMALLDATETIME NOT NULL,
Modalidad VARCHAR(20) DEFAULT ('AUMENTO') NOT NULL,
VrDevolucion MONEY DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
ModdDev VARCHAR(10) NOT NULL,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
ModuloCrea VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_GatDevAjustes PRIMARY KEY CLUSTERED (TipDev,Devolucion,IdCia),
 CONSTRAINT CK_Trn_GatDevAjustesIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatDevAjustesIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_GatDevAjustesIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_GatDevAjustesIdCiaDoc CHECK ((len([IdCiaDoc])>(0))),
 CONSTRAINT CK_Trn_GatDevAjustesIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_GatDevAjustesIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatDevAjustesModalidad CHECK ((len([Modalidad])>(0))),
 CONSTRAINT CK_Trn_GatDevAjustesModdDev CHECK ((len([ModdDev])>(0))),
 CONSTRAINT CK_Trn_GatDevAjustesModuloCrea CHECK ((len([ModuloCrea])>(0))),
 CONSTRAINT CK_Trn_GatDevAjustesTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_GatDevAjustesTipDev CHECK ((len([TipDev])>(0))),
 CONSTRAINT CK_Trn_GatDevAjustesTipDoc CHECK ((len([TipDoc])>(0))))
GO

ALTER TABLE TarifasAportes ADD 
 CONSTRAINT FK_TarifasAportes_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_TarifasAportes_Tablapor FOREIGN KEY (IdTarifApo) REFERENCES [dbo].[Tablapor] (IdTarifa),
 CONSTRAINT FK_TarifasAportes_Tablapor1 FOREIGN KEY (IdTarifVinc) REFERENCES [dbo].[Tablapor] (IdTarifa)
CREATE NONCLUSTERED INDEX IX_TarifasAportesFecha ON TarifasAportes(Fecha)
 CREATE NONCLUSTERED INDEX IX_TarifasAportesFechaInicial ON TarifasAportes(FechaInicial)

ALTER TABLE Trn_GatAvaluos ADD 
 CONSTRAINT FK_Trn_GatAvaluos_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatAvaluos_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatAvaluos_Terceros FOREIGN KEY (IdAsociado) REFERENCES [dbo].[Terceros] (IdTercero)

 CREATE CLUSTERED INDEX IX_Trn_GatAvaluosId_Vehiculo ON Trn_GatAvaluos(Id_Vehiculo,FechaAvaluo)
 CREATE NONCLUSTERED INDEX IX_Trn_GatAvaluosIdAsociado ON Trn_GatAvaluos(IdAsociado)
 CREATE NONCLUSTERED INDEX IX_Trn_GatAvaluosNumProceso ON Trn_GatAvaluos(NumProceso)

ALTER TABLE Trn_GatAportes ADD 
 CONSTRAINT FK_Trn_GatAportes_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatAportes_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_GatAportes_Terceros FOREIGN KEY (IdAsociado) REFERENCES [dbo].[Terceros] (IdTercero)

 CREATE UNIQUE CLUSTERED INDEX IX_Trn_GatAportesNumRegistro ON Trn_GatAportes(TipDoc,NumRegistro,IdCia,Item)
 CREATE NONCLUSTERED INDEX IX_Trn_GatAportesFecEmision ON Trn_GatAportes(FecEmision)
 CREATE NONCLUSTERED INDEX IX_Trn_GatAportesIdVehiculo ON Trn_GatAportes(UndVehiculo,IdVehiculo)
 CREATE NONCLUSTERED INDEX IX_Trn_GatAportesIdAsociado ON Trn_GatAportes(IdAsociado)

ALTER TABLE Trn_GatSaldos ADD 
 CONSTRAINT FK_Trn_GatSaldos_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatSaldos_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatSaldos_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_GatSaldos_Terceros FOREIGN KEY (IdAsociado) REFERENCES [dbo].[Terceros] (IdTercero)
 
 CREATE NONCLUSTERED INDEX IX_Trn_GatSaldosFecha ON Trn_GatSaldos(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_GatSaldosIdAsociado ON Trn_GatSaldos(IdAsociado)
 CREATE NONCLUSTERED INDEX IX_Trn_GatSaldosIdVehiculo ON Trn_GatSaldos(UndVehiculo,IdVehiculo)

ALTER TABLE Trn_GatIngresos ADD 
 CONSTRAINT FK_Trn_GatIngresos_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatIngresos_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_GatIngresos_Terceros FOREIGN KEY (IdAsociado) REFERENCES [dbo].[Terceros] (IdTercero)

 CREATE NONCLUSTERED INDEX IX_Trn_GatIngresosIdVehiculo ON Trn_GatIngresos(UndVehiculo,IdVehiculo)
 CREATE NONCLUSTERED INDEX IX_Trn_GatIngresosIdAsociado ON Trn_GatIngresos(IdAsociado)
 CREATE NONCLUSTERED INDEX IX_Trn_GatIngresosFecha ON Trn_GatIngresos(Fecha)

ALTER TABLE Trn_GatVincula ADD 
 CONSTRAINT FK_Trn_GatVincula_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatVincula_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatVincula_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatVincula_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_GatVincula_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_GatVincula_Terceros FOREIGN KEY (IdAsociado) REFERENCES [dbo].[Terceros] (IdTercero)

 CREATE NONCLUSTERED INDEX IX_Trn_GatVinculaFecha ON Trn_GatVincula(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_GatVinculaIdAsociado ON Trn_GatVincula(IdAsociado)
 CREATE NONCLUSTERED INDEX IX_Trn_GatVinculaIdVehiculo ON Trn_GatVincula(UndVehiculo,IdVehiculo)
 CREATE NONCLUSTERED INDEX IX_Trn_GatVinculaFechaIngreso ON Trn_GatVincula(FechaIngreso)

ALTER TABLE Trn_GatVinculaRec ADD 
 CONSTRAINT FK_Trn_GatVinculaRec_Trn_GatVincula FOREIGN KEY (TipDoc,NumRegistro,IdCia) REFERENCES [dbo].[Trn_GatVincula] (TipDoc,NumRegistro,IdCia)

 CREATE CLUSTERED INDEX IX_Trn_GatVinculaRecNumRegistro ON Trn_GatVinculaRec(TipDoc,NumRegistro,IdCia,Item)

ALTER TABLE Trn_GatDevVinc ADD 
 CONSTRAINT FK_Trn_GatDevVinc_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatDevVinc_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatDevVinc_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatDevVinc_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_GatDevVinc_Sys_TiposDoc FOREIGN KEY (TipDev) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_GatDevVinc_Terceros FOREIGN KEY (IdAsociado) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_GatDevVinc_Trn_GatVincula FOREIGN KEY (TipDoc,NumDocVinc,IdCiaDoc) REFERENCES [dbo].[Trn_GatVincula] (TipDoc,NumRegistro,IdCia)
 
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevVincFecha ON Trn_GatDevVinc(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevVincNumDocVinc ON Trn_GatDevVinc(TipDoc,NumDocVinc,IdCiaDoc)
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevVincIdAsociado ON Trn_GatDevVinc(IdAsociado)
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevVincIdVehiculo ON Trn_GatDevVinc(UndVehiculo,IdVehiculo)

ALTER TABLE Trn_GatTraslados ADD 
 CONSTRAINT FK_Trn_GatTraslados_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatTraslados_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatTraslados_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatTraslados_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_GatTraslados_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_GatTraslados_Terceros FOREIGN KEY (IdAsociado) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_GatTraslados_Terceros1 FOREIGN KEY (IdAsociadoDtn) REFERENCES [dbo].[Terceros] (IdTercero)
 
 CREATE NONCLUSTERED INDEX IX_Trn_GatTrasladosFecha ON Trn_GatTraslados(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_GatTrasladosIdAsociado ON Trn_GatTraslados(IdAsociado)
 CREATE NONCLUSTERED INDEX IX_Trn_GatTrasladosIdVehiculo ON Trn_GatTraslados(IdVehiculo)
 CREATE NONCLUSTERED INDEX IX_Trn_GatTrasladosIdVehiculoDtn ON Trn_GatTraslados(IdVehiculoDtn)
 CREATE NONCLUSTERED INDEX IX_Trn_GatTrasladosIdAsociadoDtn ON Trn_GatTraslados(IdAsociadoDtn)

ALTER TABLE Trn_GatDevTraslado ADD 
 CONSTRAINT FK_Trn_GatDevTraslado_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatDevTraslado_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatDevTraslado_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatDevTraslado_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_GatDevTraslado_Sys_TiposDoc FOREIGN KEY (TipDev) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_GatDevTraslado_Terceros FOREIGN KEY (IdAsociado) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_GatDevTraslado_Terceros1 FOREIGN KEY (IdAsociadoDtn) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_GatDevTraslado_Trn_GatTraslados FOREIGN KEY (TipDoc,NumTraslado,IdCiaDoc) REFERENCES [dbo].[Trn_GatTraslados] (TipDoc,NumTraslado,IdCia)
 
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevTrasladoFecha ON Trn_GatDevTraslado(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevTrasladoNumTraslado ON Trn_GatDevTraslado(TipDoc,NumTraslado,IdCiaDoc)
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevTrasladoIdVehiculo ON Trn_GatDevTraslado(IdVehiculo)
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevTrasladoIdAsociado ON Trn_GatDevTraslado(IdAsociado)

ALTER TABLE Trn_GatAdicionales ADD 
 CONSTRAINT FK_Trn_GatAdicionales_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatAdicionales_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatAdicionales_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatAdicionales_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_GatAdicionales_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_GatAdicionales_Terceros FOREIGN KEY (IdAsociado) REFERENCES [dbo].[Terceros] (IdTercero)

 CREATE NONCLUSTERED INDEX IX_Trn_GatAdicionalesFecha ON Trn_GatAdicionales(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_GatAdicionalesIdAsociado ON Trn_GatAdicionales(IdAsociado)
 CREATE NONCLUSTERED INDEX IX_Trn_GatAdicionalesIdVehiculo ON Trn_GatAdicionales(IdVehiculo)

ALTER TABLE Trn_GatAdicionalRec ADD 
 CONSTRAINT FK_Trn_GatAdicionalRec_Trn_GatAdicionales FOREIGN KEY (TipDoc,NumRegistro,IdCia) REFERENCES [dbo].[Trn_GatAdicionales] (TipDoc,NumRegistro,IdCia)

 CREATE CLUSTERED INDEX IX_Trn_GatAdicionalRecNumRegistro ON Trn_GatAdicionalRec(TipDoc,NumRegistro,IdCia,Item)
 CREATE NONCLUSTERED INDEX IX_Trn_GatAdicionalRecRecibo ON Trn_GatAdicionalRec(TipRec,Recibo,IdCiaRec)

ALTER TABLE Trn_GatDevAdicional ADD 
 CONSTRAINT FK_Trn_GatDevAdicional_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatDevAdicional_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatDevAdicional_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatDevAdicional_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_GatDevAdicional_Sys_TiposDoc FOREIGN KEY (TipDev) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_GatDevAdicional_Terceros FOREIGN KEY (IdAsociado) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_GatDevAdicional_Trn_GatAdicionales FOREIGN KEY (TipDoc,NumRegistro,IdCiaDoc) REFERENCES [dbo].[Trn_GatAdicionales] (TipDoc,NumRegistro,IdCia)

 CREATE NONCLUSTERED INDEX IX_Trn_GatDevAdicionalFecha ON Trn_GatDevAdicional(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevAdicionalIdVehiculo ON Trn_GatDevAdicional(IdVehiculo)
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevAdicionalIdAsociado ON Trn_GatDevAdicional(IdAsociado)
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevAdicionalNumRegistro ON Trn_GatDevAdicional(TipDoc,NumRegistro,IdCiaDoc)

ALTER TABLE Trn_GatLiquida ADD 
 CONSTRAINT FK_Trn_GatLiquida_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatLiquida_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatLiquida_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatLiquida_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_GatLiquida_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc)

 CREATE NONCLUSTERED INDEX IX_Trn_GatLiquidaFecha ON Trn_GatLiquida(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_GatLiquidaFechaLiquida ON Trn_GatLiquida(FechaLiquida)
 CREATE NONCLUSTERED INDEX IX_Trn_GatLiquidaComprobante ON Trn_GatLiquida(TipCom,Comprobante,IdCiaCom)

ALTER TABLE Trn_GatDevLiquida ADD 
 CONSTRAINT FK_Trn_GatDevLiquida_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatDevLiquida_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatDevLiquida_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatDevLiquida_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_GatDevLiquida_Sys_TiposDoc FOREIGN KEY (TipDev) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_GatDevLiquida_Trn_GatLiquida FOREIGN KEY (TipDoc,NumLiquida,IdCiaDoc) REFERENCES [dbo].[Trn_GatLiquida] (TipDoc,NumLiquida,IdCia)

 CREATE NONCLUSTERED INDEX IX_Trn_GatDevLiquidaFecha ON Trn_GatDevLiquida(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevLiquidaNumLiquida ON Trn_GatDevLiquida(TipDoc,NumLiquida,IdCiaDoc)

ALTER TABLE Trn_GatAjustes ADD 
 CONSTRAINT FK_Trn_GatAjustes_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatAjustes_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatAjustes_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatAjustes_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_GatAjustes_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc)
 
 CREATE NONCLUSTERED INDEX IX_Trn_GatAjustesFecha ON Trn_GatAjustes(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_GatAjustesNumDocRef ON Trn_GatAjustes(TipDocRef,NumDocRef,CiaDocRef)

ALTER TABLE Trn_GatDevAjustes ADD 
 CONSTRAINT FK_Trn_GatDevAjustes_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatDevAjustes_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatDevAjustes_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatDevAjustes_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_GatDevAjustes_Sys_TiposDoc FOREIGN KEY (TipDev) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc)

 CREATE NONCLUSTERED INDEX IX_Trn_GatDevAjustesFecha ON Trn_GatDevAjustes(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevAjustesNumAjuste ON Trn_GatDevAjustes(TipDoc,NumAjuste,IdCiaDoc)

